Grant file access
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}/grants"
payload = { "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}/grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}Files
Grant file access
POST
/
orgs
/
{org_id}
/
files
/
{file_id}
/
grants
Grant file access
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}/grants"
payload = { "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files/{file_id}/grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 8, 2026